module LandingsHelper

  def individual_jamtrack_title(is_band, is_generic, jam_track)

    return 'Free Backing Track - Multitrack' unless jam_track

    if is_band
      "#{jam_track.original_artist} - Get a Free Backing Track - Multitrack"
    elsif is_generic
      "Backing Tracks - Full Multitracks with Unique Features"
    else
       "#{jam_track.name} - Free Backing Track - Multitrack"
    end
  end

  def individual_jamtrack_desc(is_band, is_generic, jam_track)

    return "" unless jam_track

    if is_band
      "Full multitrack recordings by #{jam_track.original_artist} deliver flexible backing tracks for any instrument or vocals"
    elsif is_generic
      "Full multitrack recordings plus free app deliver flexible backing tracks for any instrument or vocals with unique features"
    else
      "Full multitrack recording of \"#{jam_track.name}\" by #{jam_track.original_artist} delivers flexible backing track for any instrument or vocals."
    end
  end
end
